Arduino A2DP

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
BluetoothA2DPOutputAudioTools Class Reference

Output Class using AudioTools library: https://github.com/pschatzmann/arduino-audio-tools. More...

`#include <BluetoothA2DPOutput.h>`

Inheritance diagram for BluetoothA2DPOutputAudioTools:

## Public Member Functions
bool | begin () override
void | end () override
| operator bool ()
void | set_output (audio_tools::AudioOutput &output)
| Output AudioStream using AudioTools library.
void | set_output (audio_tools::AudioStream &output)
| Output AudioStream using AudioTools library.
void | set_output (Print &output)
| Output to Arduino Print.
void | set_output_active (bool active) override
void | set_sample_rate (int rate) override
size_t | write (const uint8_t *data, size_t len) override

## Protected Attributes
audio_tools::AudioOutput * | p_audio_print = nullptr
Print * | p_print = nullptr

## Detailed Description

Output Class using AudioTools library: https://github.com/pschatzmann/arduino-audio-tools.

Author
  Phil Schatzmann

Copyright
  Apache License Version 2

## Member Function Documentation

## ◆ begin()

bool BluetoothA2DPOutputAudioTools::begin | ( |  | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ end()

void BluetoothA2DPOutputAudioTools::end | ( |  | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ set_output() [1/3]

void BluetoothA2DPOutputAudioTools::set_output | ( | audio_tools::AudioOutput & | output | ) |
| inline virtual

Output AudioStream using AudioTools library.

Reimplemented from BluetoothA2DPOutput.

## ◆ set_output() [2/3]

void BluetoothA2DPOutputAudioTools::set_output | ( | audio_tools::AudioStream & | output | ) |
| inline virtual

Output AudioStream using AudioTools library.

Reimplemented from BluetoothA2DPOutput.

## ◆ set_output() [3/3]

void BluetoothA2DPOutputAudioTools::set_output | ( | Print & | output | ) |
| inline virtual

Output to Arduino Print.

Reimplemented from BluetoothA2DPOutput.

## ◆ set_output_active()

void BluetoothA2DPOutputAudioTools::set_output_active | ( | bool | active | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ set_sample_rate()

void BluetoothA2DPOutputAudioTools::set_sample_rate | ( | int | rate | ) |
| override virtual

Implements BluetoothA2DPOutput.

## ◆ write()

size_t BluetoothA2DPOutputAudioTools::write | ( | const uint8_t * | data,
|  | size_t | len
| ) |  |
| override virtual

Implements BluetoothA2DPOutput.

The documentation for this class was generated from the following files:

- src/BluetoothA2DPOutput.h
- src/BluetoothA2DPOutput.cpp